You are not logged in.

#1 2020-11-11 15:15:06

lyraheartstrings
Member
Registered: 2017-02-15
Posts: 5

arm-none-eabi-gdb Exception caught while booting Guile.

I am using arm-none-eabi-gdb. When I'm executing arm-none-eabi-gdb, it loges out an error:

Exception caught while booting Guile.
Error in function "make_objcode_from_file":
bad header on object file: "\x7fELF\x02\x01\x01ÿ\x00\x00\x00\x00\x00\x00\x00\x00"
arm-none-eabi-gdb: warning: Could not complete Guile gdb module initialization from:
/usr/share/gdb/guile/gdb/boot.scm.
Limited Guile support is available.
Suggest passing --data-directory=/path/to/gdb/data-directory.
GNU gdb (GDB) 10.1
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "--host=x86_64-pc-linux-gnu --target=arm-none-eabi".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word".
(gdb)

Because of it interface for the gdb GUD in emacs doesn't work correctly.
I found out that it is happening because of arm-none-eabi-gdb depends on gdb-common and guile2.0. And gdb-common depends on guile 2.2.6-2...

Versions of packages:

gdb-common 10.1-2
arm-none-eabi-gdb 10.1-1
guile2.0 2.0.14-4
guile 2.2.6-2
'guile2.0' required by arm-none-eabi-gdb
'gdb-common' required by arm-none-eabi-gdb

'guile' required by gdb
'guile' required by gdb-common
'guile' required by make

Offline

#2 2020-11-11 17:37:09

loqs
Member
Registered: 2014-03-06
Posts: 12,094

Re: arm-none-eabi-gdb Exception caught while booting Guile.

arm-none-eabi-gdb changed from guile2.0 to guile in https://github.com/archlinux/svntogit-c … d866203e9c which has not been released.
If you rebuild the trunk version of arm-none-eabi-gdb that includes that commit does it resolve the issue?

Offline

#3 2020-11-11 19:38:04

lyraheartstrings
Member
Registered: 2017-02-15
Posts: 5

Re: arm-none-eabi-gdb Exception caught while booting Guile.

loqs wrote:

arm-none-eabi-gdb changed from guile2.0 to guile in https://github.com/archlinux/svntogit-c … d866203e9c which has not been released.
If you rebuild the trunk version of arm-none-eabi-gdb that includes that commit does it resolve the issue?

I've built the trunk version and everything is fine!

Offline

Board footer

Powered by FluxBB